bridge-utils (1.7.1-2) unstable; urgency=low

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Update standards version to 4.6.2, no changes needed.

  [ Chris Hofstaedtler ]
  * Install files into /usr instead of /. (Closes: #1059394)

 -- Santiago García Mantiñán <manty@debian.org>  Fri, 01 Mar 2024 23:09:33 +0100

bridge-utils (1.7.1-1) unstable; urgency=low

  * New upstream version.
    Only some fixes for compilation warnings and the man page.
  * Update standards version to 4.6.1, no changes needed.
  * Set debhelper-compat version in Build-Depends.
  * Trim trailing whitespace.

 -- Santiago García Mantiñán <manty@debian.org>  Wed, 25 Jan 2023 22:11:52 +0100

bridge-utils (1.7-2) unstable; urgency=medium

  * Add BRIDGE_DISABLE_LINKLOCAL_IPV6_ALSO_PHYS to /etc/default/bridge-utils
    to stop disabling IPv6 on physical interfaces of vlan ports if set to no.
    Closes: #989162.
  * Update interfaces man page, IPv6 works with STP on after DAD was fixed.
    Closes: #980507.
  * Treat vlan ports the same as ifupdown, avoid octal vlans. Closes: #995627.
  * Update NEWS file to fix us blaming the kernel for the MAC address
    selection that is really overridden by systemd.

 -- Santiago García Mantiñán <manty@debian.org>  Mon, 03 Oct 2022 23:11:46 +0200

bridge-utils (1.7-1) unstable; urgency=medium

  * New upstream version.
    Only messages related changes and compilation fixes.
  * Remove preserve_gcc_flags patch (in upstream now).
  * Bump standards, no change needed.
  * Clarify portprio and fix example.
  * Update upstream url.
  * Fix NEWS versioning of last entry :-?

 -- Santiago Garcia Mantinan <manty@debian.org>  Wed, 24 Feb 2021 12:34:03 +0100

bridge-utils (1.6-6) unstable; urgency=medium

  * Fix IPv6 address getting assigned on hotplug devices.
    Closes: #980752.
  * Fix waiting so that DAD works again. Closes: #982943.
  * Move mac setting before brctl addif to ensure mac setting.
    Closes: #980856.
  * Update documentation and add examples. Closes: #765098.
  * Update manpages. Closes: #981253.
  * Add a note on MTU settings. Closes: #292088.
  * Hook also on down to recreate the bridge so that multiple
    stanzas work Ok on ifdown. Closes: #319832.

 -- Santiago Garcia Mantinan <manty@debian.org>  Tue, 16 Feb 2021 13:29:04 +0100

bridge-utils (1.6-5) unstable; urgency=low

  * Overload bridge_hw to allow do specify an interface as well as the
    MAC address. Closes: #966244.
  * Change man page for bridge-utils-interfaces and news fileto document
    this overloading.

 -- Santiago Garcia Mantinan <manty@debian.org>  Fri, 22 Jan 2021 11:08:47 +0100

bridge-utils (1.6-4) unstable; urgency=low

  * Add en* to the device regex so that all catches them. Closes: #966319.
  * Document MAC address changes on news. Closes: #980505.

 -- Santiago Garcia Mantinan <manty@debian.org>  Thu, 21 Jan 2021 10:51:31 +0100

bridge-utils (1.6-3) unstable; urgency=medium

  * Support VLAN aware setups where we need vlan filtering.
    Thanks Benedikt Spranger for the patch. Closes: #950879.
  * Clarify on manual page that stp will get IPv6 lost. Closes: #736336.
  * Add a 1 second sleep if hw address needs to be changed. Closes: #945466.

 -- Santiago Garcia Mantinan <manty@debian.org>  Thu, 30 Apr 2020 10:06:38 +0200

bridge-utils (1.6-2) unstable; urgency=medium

  * Bump Standards-Version.
  * Preserve gcc flags set when building the lib.

 -- Santiago Garcia Mantinan <manty@debian.org>  Mon, 28 Jan 2019 00:25:14 +0100

bridge-utils (1.6-1) unstable; urgency=low

  * New upstream version.
  * Change default back to not hotplug. Closes: #892277.
  * Allow mtu to be set on the bridge by propagating it to the bridged
    interfaces. Closes: #661711.
  * Remove kernel headers from the package.

 -- Santiago Garcia Mantinan <manty@debian.org>  Tue, 15 Jan 2019 13:18:33 +0100

bridge-utils (1.5-16) unstable; urgency=medium

  * Don't set dev globally at bridge-utils.sh. Closes: #873086.

 -- Santiago Garcia Mantinan <manty@debian.org>  Sun, 08 Apr 2018 23:06:30 +0200

bridge-utils (1.5-15) unstable; urgency=medium

  * Fix substrings on interfaces. Closes: #873087.
  * Make it lintian clean sticking to 1.0 source format for now.
    No time to properly comment all the patches right now.

 -- Santiago Garcia Mantinan <manty@debian.org>  Fri, 02 Mar 2018 22:08:20 +0100

bridge-utils (1.5-14) unstable; urgency=low

  * Fix a problem with some vlan interfaces not being created.

 -- Santiago Garcia Mantinan <manty@debian.org>  Mon, 26 Jun 2017 17:48:37 +0200

bridge-utils (1.5-13) unstable; urgency=low

  * Fix a hardcoded interface name on bridge-utils.sh. Closes: #854841.

 -- Santiago Garcia Mantinan <manty@debian.org>  Sat, 11 Feb 2017 00:16:45 +0100

bridge-utils (1.5-12) unstable; urgency=medium

  * Add vlan support so that old setups using vlans as ports don't break.

 -- Santiago Garcia Mantinan <manty@debian.org>  Sun, 22 Jan 2017 00:23:50 +0100

bridge-utils (1.5-11) unstable; urgency=low

  * Change /etc/default/bridge-utils to enable addition of hotplugged
    interfaces.
  * Integration with the vlan package is causing problems, we have
    removed it and rely on ifupdown implementing it. Closes: #818849.

 -- Santiago Garcia Mantinan <manty@debian.org>  Wed, 14 Dec 2016 23:26:05 +0100

bridge-utils (1.5-10) unstable; urgency=low

  * Fix wait when bridge is ready. Thanks Alexander. Closes: #779348.
  * Added some documentation on the README.Debian file to comment some
    config bugs. Closes: #765000, #815927.
  * Clarify pre-up commands changing an example on the man page for
    bridge-utils-interfaces. Closes: #783956.

 -- Santiago Garcia Mantinan <manty@debian.org>  Thu, 10 Nov 2016 22:23:49 +0100

bridge-utils (1.5-9) unstable; urgency=low

  * Fix kernel version check and adjust it to match kernel behaviours.
    Closes: #725786.

 -- Santiago Garcia Mantinan <manty@debian.org>  Tue, 20 May 2014 23:01:06 +0200

bridge-utils (1.5-8) unstable; urgency=low

  * Change the way to set the hardware address (MAC) of the bridge,
    don't set it on the ports, set it on the bridge instead if the kernel
    is quite recent (version where it started to work is unknown, we need
    to find this). This needs testing and relates to #725786.
  * Change Architecture to linux-any. Closes: #745164.
  * Apply Colin's patch to fix cross-build, thanks. Closes: #734873.

 -- Santiago Garcia Mantinan <manty@debian.org>  Sat, 07 Dec 2013 18:55:13 +0100

bridge-utils (1.5-7) unstable; urgency=low

  * The scripts now use iproute instead of ifconfig. Closes: #698630.
  * Avoid clearing the IP (set it to 0.0.0.0) of the attached ports.
  * Set forward delay after stp (3.11 sets fd on stp). Closes: #729118.

 -- Santiago Garcia Mantinan <manty@debian.org>  Fri, 8 Nov 2013 09:55:25 +0100

bridge-utils (1.5-6) unstable; urgency=low

  * Will rewrite post wheezy, changing to suggests. Closes: #693095.
  * Applied patch to fix man typo. Closes: #683710.

 -- Santiago Garcia Mantinan <manty@debian.org>  Wed, 14 Nov 2012 10:39:43 +0100

bridge-utils (1.5-5) unstable; urgency=low

  * Set Multi-Arch: foreign. Closes: #689144.
  * Add a depends on net-tools. Closes: #688677.

 -- Santiago Garcia Mantinan <manty@debian.org>  Thu, 08 Nov 2012 19:56:15 +0100

bridge-utils (1.5-4) unstable; urgency=low

  * Remove mkdir and exit if /run/network doesn't exist. Thanks
    to Andrew Shadura. Closes: #676183.
  * Allow hotplug of ports to be user configurable and default
    to disable. Closes: #673490.

 -- Santiago Garcia Mantinan <manty@debian.org>  Fri, 29 Jun 2012 10:56:51 +0200

bridge-utils (1.5-3) unstable; urgency=low

  * First version targetting Wheezy.
  * Lintian cleans including complying with hardening, ...
  * Enable ipv6 on ports when taking bridge interface down. Thanks to
    David Fries for the bug and patch. Closes: #651652.
  * Now that #568479 is gone we can hopefully sync with Ubuntu:
    Include the new Steve's udev rule to allow attaching hotplug devices.
    Extend the definition of 'bridge_ports all' to support biosdevname.
    Thanks to Steve Langasek for his help. Closes: #626152.

 -- Santiago Garcia Mantinan <manty@debian.org>  Mon, 09 May 2011 19:02:48 +0200

bridge-utils (1.5-2) unstable; urgency=low

  * Include Ubuntu's patch to factor out parsing of bridge_ports into
    a reusable shell library.

 -- Santiago Garcia Mantinan <manty@debian.org>  Tue, 03 May 2011 19:35:38 +0200

bridge-utils (1.5-1) unstable; urgency=low

  * New upstream version. Closes: #611761.
  * Relocate ifupdown.sh to /lib/bridge-utils and brctl to /sbin.
    Closes: #569350.
  * Removed SMPNOTES, upstream updated FIREWALL. Closes: #518649.
  * Removed the 30 seconds wait. Closes: #549696.
  * Only suggest ifupdown. Closes: #595115.
  * Remove the versioning from the description. Closes: #595116.
  * Disable ipv6 on the interfaces of the bridge. Closes: #607741.
  * On newer kernels we wait only till we forward. Closes: #549696.
  * Use sleep 0.1 (0.01 was too much), thanks Mikhail. Closes: #572835.
  * Set ret to -1 on errno to avoid returning 0. Closes: #574363.
  * Fix manpage setageing explanation. Closes: #523141.
  * Make it lintian clean again.

 -- Santiago Garcia Mantinan <manty@debian.org>  Tue, 19 Apr 2011 19:45:51 +0200

bridge-utils (1.4-5) unstable; urgency=low

  * Try to fix the lack of bridge/ on the sysfs paths. Closes: 496491.
  * Add a comment on the bridge-utils-interfaces manpage about the
    misusage of stanzas for the bridge ports in the interfaces file.
    Closes: #488313.

 -- Santiago Garcia Mantinan <manty@debian.org>  Wed, 27 Aug 2008 21:21:41 +0200

bridge-utils (1.4-4) unstable; urgency=low

  * Add a set of examples to help the bridges on hibernation, ...

 -- Santiago Garcia Mantinan <manty@debian.org>  Tue, 08 Jul 2008 21:26:46 +0200

bridge-utils (1.4-3) unstable; urgency=low

  * Fix reference to the bridge-utils-interfaces manpage on the
    README.Debian file. Closes: #484853.
  * Bump Standards-Version.

 -- Santiago Garcia Mantinan <manty@debian.org>  Sun, 15 Jun 2008 12:29:13 +0200

bridge-utils (1.4-2) unstable; urgency=low

  * Fix README.Debian pointer. Closes: #461524.
  * Fix bridge-utils-interfaces(5). Closes: #464500.
  * Fix package descriptions. Closes: #466783.

 -- Santiago Garcia Mantinan <manty@debian.org>  Thu, 17 Apr 2008 13:18:30 +0200

bridge-utils (1.4-1) unstable; urgency=low

  * New upstream version.
  * Merge if-pre-up and if-post-down scripts into ifupdown.sh and don't
    consider it a conffile anymore (moved to /usr/share/bridge-utils).
  * Add a watch file.
  * Write a bridge-utils-interfaces manpage with the information that
    we used to have on the README.Debian file. Closes: #410278.
  * Add the new option bridge_waitport to wait for ports to become
    available. Closes: #454752.

 -- Santiago Garcia Mantinan <manty@debian.org>  Wed, 09 Jan 2008 23:05:22 +0100

bridge-utils (1.2-2) unstable; urgency=low

  * Fix port no and id reading from sysfs (taken from git).
  * Fix segfault on bridge named "bridge", thanks Robert. Closes: #431860.
  * Fix printing of unknown commands, thanks Julien. Closes: #406907.
  * Fix the FAQ url. Closes: #410277.
  * Apply the regexp patch. Closes: #405215.

 -- Santiago Garcia Mantinan <manty@debian.org>  Mon, 15 Oct 2007 22:57:46 +0200

bridge-utils (1.2-1) unstable; urgency=low

  * New upstream version.
  * Updated scripts so that you can now use "all" + others to select
    all the eth* interfaces + others you'd like to add.
  * Updated README.Debian with info on wireless. Closes: #378508.

 -- Santiago Garcia Mantinan <manty@debian.org>  Thu, 28 Sep 2006 21:16:09 +0200

bridge-utils (1.1-3) unstable; urgency=low

  * Fix the ENODEV message on deleting an interface. Closes: #383938.

 -- Santiago Garcia Mantinan <manty@debian.org>  Sat, 26 Aug 2006 19:22:45 +0200

bridge-utils (1.1-2) unstable; urgency=low

  * Update sources to current git. Closes: #376914.

 -- Santiago Garcia Mantinan <manty@debian.org>  Wed, 12 Jul 2006 23:46:59 +0200

bridge-utils (1.1-1) unstable; urgency=low

  * New upstream version.
  * Uses libsysfs2. Closes: #347634.
  * Added an example of an anonymous bridge (thanks to M.Biebl for
    the idea). Closes: #348946.
  * Changed the message for ENODEV. Closes: #348617.
  * Added the bridge_hw config option (thanks to Jerome for the idea).
    See the README for a full explanation on this. Closes: #271406.

 -- Santiago García Mantiñán <manty@debian.org>  Tue,  7 Feb 2006 19:15:56 +0100

bridge-utils (1.0.6-1) unstable; urgency=low

  * The "Sorry it took so long" release (AKA I've missed sarge).
    Yes, that's the real me (in UTF).
  * New upstream version.
  * Call vlan on post-down so that vlan interfaces get removed.
  * Take down bridge interfaces before deleting bridge, also reorder
    the instructions in post-down (thanks to Loïc Minier).
    Closes: #302521.
  * Fix little doc bug. Closes: #296881.

 -- Santiago García Mantiñán <manty@debian.org>  Thu, 19 May 2005 18:44:06 +0200

bridge-utils (1.0.4-1) unstable; urgency=low

  * New upstream version.

 -- Santiago Garcia Mantinan <manty@debian.org>  Thu, 10 Jun 2004 16:04:37 +0200

bridge-utils (1.0.3+1.0.4rc3-1) unstable; urgency=low

  * New upstream version. Closes: #213582, #252903.
  * Changed stp notes to signal the change in the kernel's default on
    latest kernels. Closes: #223185.
  * Clarified that with bridge_ports all we mean the ethX interfaces.
    Closes: #226231.
  * Changed package description to reflect that this package works in
    2.4 or later kernels. Closes: #250136.
  * No longer depends on ifupdown, but I still strongly suggest it.
    Changed doc acordingly. Closes: #249432.

 -- Santiago Garcia Mantinan <manty@debian.org>  Sat,  5 Jun 2004 01:50:34 +0200

bridge-utils (0.9.6-5) unstable; urgency=low

  * The "happy birthday to every user/devel of the world" release.
  * Remove debconf questions to enter sarge with a clean 10th
    aniversary spirit. Closes: #187768, #205790.

 -- Santiago Garcia Mantinan <manty@debian.org>  Sun, 17 Aug 2003 17:53:31 +0200

bridge-utils (0.9.6-4) unstable; urgency=low

  * Add support for autoconfiguring VLAN interfaces, idea and patch
    from Paul Slootman. Closes: #189386.

 -- Santiago Garcia Mantinan <manty@debian.org>  Thu,  8 May 2003 20:21:14 +0200

bridge-utils (0.9.6-3) unstable; urgency=low

  * Fix /etc/network/if-up.d/bridge not being removed. It will be
    automatically removed or you'll be asked via debconf.

 -- Santiago Garcia Mantinan <manty@debian.org>  Thu, 13 Feb 2003 17:43:56 +0100

bridge-utils (0.9.6-2) unstable; urgency=low

  * Reworked the scripts, now dhcp should work ok. Closes: #179051.
    This also helps #164823, set address 0.0.0.0 with any netmask,
    it gives an error but the interface remains up with no address.
    It isn't perfect, but will do till ifupdown fixes #164823.

 -- Santiago Garcia Mantinan <manty@debian.org>  Thu, 30 Jan 2003 23:10:33 +0100

bridge-utils (0.9.6-1) unstable; urgency=low

  * New upstream version. Closes: #143069.

 -- Santiago Garcia Mantinan <manty@debian.org>  Tue, 17 Dec 2002 20:20:46 +0100

bridge-utils (0.9.5-2) unstable; urgency=low

  * Patched to allow the bridge to start without any interfaces
    attached to it by using "bridge_ports none" on the configuration
    of the bridge interface. Closes: #136136.

 -- Santiago Garcia Mantinan <manty@debian.org>  Sat,  9 Mar 2002 20:43:17 +0100

bridge-utils (0.9.5-1) unstable; urgency=low

  * New upstream version.

 -- Santiago Garcia Mantinan <manty@debian.org>  Mon, 11 Feb 2002 21:23:26 +0100

bridge-utils (0.9.4-1) unstable; urgency=low

  * New upstream version.

 -- Santiago Garcia Mantinan <manty@debian.org>  Mon,  7 Jan 2002 18:48:32 +0100

bridge-utils (0.9.3-1) unstable; urgency=low

  * New upstream version (fixes the 42.94s timer wrap).

 -- Santiago Garcia Mantinan <manty@debian.org>  Sat, 23 Jun 2001 21:45:36 +0200

bridge-utils (0.9.2-3) unstable; urgency=low

  * By default we wait for the bridge to get ready.
  * Upgraded to standards 3.1.0.0, debhelper 3 and Build-Depends.

 -- Santiago Garcia Mantinan <manty@debian.org>  Fri, 18 May 2001 18:15:08 +0200

bridge-utils (0.9.2-2) unstable; urgency=low

  * Removed the -dev package until it is really needed.
  * Upgraded to ifupdown 0.6.0 way of working.

 -- Santiago Garcia Mantinan <manty@debian.org>  Sat, 24 Feb 2001 17:31:02 +0100

bridge-utils (0.9.2-1) unstable; urgency=low

  * Initial Release.

 -- Santiago Garcia Mantinan <manty@debian.org>  Wed,  8 Nov 2000 20:09:10 +0100

Local variables:
mode: debian-changelog
End:
